/*** Copyright (c), The Regents of the University of California            ***
 *** For more information please refer to files in the COPYRIGHT directory ***/
/* fileRename.h - This file may be generated by a program or script
 */

#ifndef FILE_RENAME_HPP
#define FILE_RENAME_HPP

/* This is a Object File I/O type API call */

#include "rodsDef.h"
#include "rcConnect.h"

typedef struct {
    rodsHostAddr_t addr;
    char oldFileName[MAX_NAME_LEN];
    char newFileName[MAX_NAME_LEN];
    char rescHier[MAX_NAME_LEN];
    char objPath[MAX_NAME_LEN];
} fileRenameInp_t;

#define fileRenameInp_PI "struct RHostAddr_PI; str oldFileName[MAX_NAME_LEN]; str newFileName[MAX_NAME_LEN]; str rescHier[MAX_NAME_LEN]; str objPath[MAX_NAME_LEN];"

typedef struct {
    char file_name[ MAX_NAME_LEN ];
} fileRenameOut_t;

#define fileRenameOut_PI "str file_name[MAX_NAME_LEN];"

#if defined(RODS_SERVER)
#define RS_FILE_RENAME rsFileRename
#include "rodsConnect.h"
/* prototype for the server handler */
int
rsFileRename( rsComm_t *rsComm, fileRenameInp_t *fileRenameInp, fileRenameOut_t** );
int
_rsFileRename( rsComm_t *rsComm, fileRenameInp_t *fileRenameInp, fileRenameOut_t** );
int
remoteFileRename( rsComm_t *rsComm, fileRenameInp_t *fileRenameInp, fileRenameOut_t**,
                  rodsServerHost_t *rodsServerHost );
#else
#define RS_FILE_RENAME NULL
#endif

/* prototype for the client call */
#ifdef __cplusplus
extern "C" {
#endif
int
rcFileRename( rcComm_t *conn, fileRenameInp_t *fileRenameInp, fileRenameOut_t** );
#ifdef __cplusplus
}
#endif

#endif  // FILE_RENAME_H__
